namespace Object_Editor
{
    partial class FrmMain
    {
        /// <summary>
        /// 設計工具所需的變數。
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// 清除任何使用中的資源。
        /// </summary>
        /// <param name="disposing">如果應該處置 Managed 資源則為 true，否則為 false。</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Windows Form 設計工具產生的程式碼

        /// <summary>
        /// 此為設計工具支援所需的方法 - 請勿使用程式碼編輯器
        /// 修改這個方法的內容。
        /// </summary>
        private void InitializeComponent()
        {
            this.MenuStripMain = new System.Windows.Forms.MenuStrip();
            this.MenuFile = new System.Windows.Forms.ToolStripMenuItem();
            this.MenuOpen = new System.Windows.Forms.ToolStripMenuItem();
            this.MenuSaveAs = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripSeparator1 = new System.Windows.Forms.ToolStripSeparator();
            this.MenuImport = new System.Windows.Forms.ToolStripMenuItem();
            this.MenuExport = new System.Windows.Forms.ToolStripMenuItem();
            this.MenuExportOBcsv = new System.Windows.Forms.ToolStripMenuItem();
            this.ToolStripMain = new System.Windows.Forms.ToolStrip();
            this.ToolOpen = new System.Windows.Forms.ToolStripButton();
            this.ToolSave = new System.Windows.Forms.ToolStripButton();
            this.ToolStripViewport = new System.Windows.Forms.ToolStrip();
            this.ToolViewRotate = new System.Windows.Forms.ToolStripButton();
            this.ToolViewPan = new System.Windows.Forms.ToolStripButton();
            this.toolStripPanelTop = new System.Windows.Forms.ToolStripPanel();
            this.dockContainer = new DockableUI.DockContainer();
            this.statusStrip1 = new System.Windows.Forms.StatusStrip();
            this.MenuStripMain.SuspendLayout();
            this.ToolStripMain.SuspendLayout();
            this.ToolStripViewport.SuspendLayout();
            this.toolStripPanelTop.SuspendLayout();
            this.SuspendLayout();
            // 
            // MenuStripMain
            // 
            this.MenuStripMain.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.MenuFile});
            this.MenuStripMain.Location = new System.Drawing.Point(0, 0);
            this.MenuStripMain.Name = "MenuStripMain";
            this.MenuStripMain.Size = new System.Drawing.Size(784, 24);
            this.MenuStripMain.TabIndex = 1;
            this.MenuStripMain.Text = "menuStrip1";
            // 
            // MenuFile
            // 
            this.MenuFile.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.MenuOpen,
            this.MenuSaveAs,
            this.toolStripSeparator1,
            this.MenuImport,
            this.MenuExport});
            this.MenuFile.Name = "MenuFile";
            this.MenuFile.Size = new System.Drawing.Size(39, 20);
            this.MenuFile.Text = "&File";
            // 
            // MenuOpen
            // 
            this.MenuOpen.Name = "MenuOpen";
            this.MenuOpen.ShortcutKeyDisplayString = "";
            this.MenuOpen.ShortcutKeys = ((System.Windows.Forms.Keys)((System.Windows.Forms.Keys.Control | System.Windows.Forms.Keys.O)));
            this.MenuOpen.Size = new System.Drawing.Size(196, 22);
            this.MenuOpen.Text = "&Open";
            this.MenuOpen.Click += new System.EventHandler(this.CommandOpen_Click);
            // 
            // MenuSaveAs
            // 
            this.MenuSaveAs.Name = "MenuSaveAs";
            this.MenuSaveAs.ShortcutKeys = ((System.Windows.Forms.Keys)(((System.Windows.Forms.Keys.Control | System.Windows.Forms.Keys.Shift)
                        | System.Windows.Forms.Keys.S)));
            this.MenuSaveAs.Size = new System.Drawing.Size(196, 22);
            this.MenuSaveAs.Text = "Save &As";
            // 
            // toolStripSeparator1
            // 
            this.toolStripSeparator1.Name = "toolStripSeparator1";
            this.toolStripSeparator1.Size = new System.Drawing.Size(193, 6);
            // 
            // MenuImport
            // 
            this.MenuImport.Name = "MenuImport";
            this.MenuImport.Size = new System.Drawing.Size(196, 22);
            this.MenuImport.Text = "&Import...";
            // 
            // MenuExport
            // 
            this.MenuExport.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.MenuExportOBcsv});
            this.MenuExport.Name = "MenuExport";
            this.MenuExport.Size = new System.Drawing.Size(196, 22);
            this.MenuExport.Text = "&Export";
            // 
            // MenuExportOBcsv
            // 
            this.MenuExportOBcsv.Name = "MenuExportOBcsv";
            this.MenuExportOBcsv.Size = new System.Drawing.Size(170, 22);
            this.MenuExportOBcsv.Text = "openBVE csv File";
            // 
            // ToolStripMain
            // 
            this.ToolStripMain.Dock = System.Windows.Forms.DockStyle.None;
            this.ToolStripMain.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.ToolOpen,
            this.ToolSave});
            this.ToolStripMain.Location = new System.Drawing.Point(3, 0);
            this.ToolStripMain.Name = "ToolStripMain";
            this.ToolStripMain.Size = new System.Drawing.Size(58, 25);
            this.ToolStripMain.TabIndex = 2;
            // 
            // ToolOpen
            // 
            this.ToolOpen.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.ToolOpen.Image = global::Object_Editor.Properties.Resources.file_open;
            this.ToolOpen.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.ToolOpen.Name = "ToolOpen";
            this.ToolOpen.Size = new System.Drawing.Size(23, 22);
            this.ToolOpen.Text = "Open";
            this.ToolOpen.Click += new System.EventHandler(this.CommandOpen_Click);
            // 
            // ToolSave
            // 
            this.ToolSave.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.ToolSave.Image = global::Object_Editor.Properties.Resources.file_save;
            this.ToolSave.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.ToolSave.Name = "ToolSave";
            this.ToolSave.Size = new System.Drawing.Size(23, 22);
            this.ToolSave.Text = "Save";
            // 
            // ToolStripViewport
            // 
            this.ToolStripViewport.Dock = System.Windows.Forms.DockStyle.None;
            this.ToolStripViewport.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.ToolViewRotate,
            this.ToolViewPan});
            this.ToolStripViewport.Location = new System.Drawing.Point(61, 0);
            this.ToolStripViewport.Name = "ToolStripViewport";
            this.ToolStripViewport.Size = new System.Drawing.Size(58, 25);
            this.ToolStripViewport.TabIndex = 3;
            // 
            // ToolViewRotate
            // 
            this.ToolViewRotate.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.ToolViewRotate.Image = global::Object_Editor.Properties.Resources.view_rotate;
            this.ToolViewRotate.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.ToolViewRotate.Name = "ToolViewRotate";
            this.ToolViewRotate.Size = new System.Drawing.Size(23, 22);
            this.ToolViewRotate.Text = "Rotate view";
            // 
            // ToolViewPan
            // 
            this.ToolViewPan.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.ToolViewPan.Image = global::Object_Editor.Properties.Resources.view_pan;
            this.ToolViewPan.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.ToolViewPan.Name = "ToolViewPan";
            this.ToolViewPan.Size = new System.Drawing.Size(23, 22);
            this.ToolViewPan.Text = "Pan view";
            // 
            // toolStripPanelTop
            // 
            this.toolStripPanelTop.Controls.Add(this.ToolStripMain);
            this.toolStripPanelTop.Controls.Add(this.ToolStripViewport);
            this.toolStripPanelTop.Dock = System.Windows.Forms.DockStyle.Top;
            this.toolStripPanelTop.Location = new System.Drawing.Point(0, 24);
            this.toolStripPanelTop.Name = "toolStripPanelTop";
            this.toolStripPanelTop.Orientation = System.Windows.Forms.Orientation.Horizontal;
            this.toolStripPanelTop.RowMargin = new System.Windows.Forms.Padding(3, 0, 0, 0);
            this.toolStripPanelTop.Size = new System.Drawing.Size(784, 25);
            // 
            // dockContainer
            // 
            this.dockContainer.Dock = System.Windows.Forms.DockStyle.Fill;
            this.dockContainer.Location = new System.Drawing.Point(0, 49);
            this.dockContainer.Name = "dockContainer";
            this.dockContainer.Size = new System.Drawing.Size(784, 491);
            this.dockContainer.TabIndex = 3;
            // 
            // statusStrip1
            // 
            this.statusStrip1.Location = new System.Drawing.Point(0, 540);
            this.statusStrip1.Name = "statusStrip1";
            this.statusStrip1.Size = new System.Drawing.Size(784, 22);
            this.statusStrip1.TabIndex = 5;
            this.statusStrip1.Text = "statusStrip1";
            // 
            // FrmMain
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 12F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size(784, 562);
            this.Controls.Add(this.dockContainer);
            this.Controls.Add(this.statusStrip1);
            this.Controls.Add(this.toolStripPanelTop);
            this.Controls.Add(this.MenuStripMain);
            this.MinimumSize = new System.Drawing.Size(800, 600);
            this.Name = "FrmMain";
            this.Text = "openBVE Object Editor";
            this.WindowState = System.Windows.Forms.FormWindowState.Maximized;
            this.Load += new System.EventHandler(this.FrmMain_Load);
            this.MenuStripMain.ResumeLayout(false);
            this.MenuStripMain.PerformLayout();
            this.ToolStripMain.ResumeLayout(false);
            this.ToolStripMain.PerformLayout();
            this.ToolStripViewport.ResumeLayout(false);
            this.ToolStripViewport.PerformLayout();
            this.toolStripPanelTop.ResumeLayout(false);
            this.toolStripPanelTop.PerformLayout();
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        #endregion

        private System.Windows.Forms.MenuStrip MenuStripMain;
        private System.Windows.Forms.ToolStripMenuItem MenuFile;
        private System.Windows.Forms.ToolStripMenuItem MenuOpen;
        private System.Windows.Forms.ToolStripMenuItem MenuSaveAs;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator1;
        private System.Windows.Forms.ToolStripMenuItem MenuImport;
        private System.Windows.Forms.ToolStripMenuItem MenuExport;
        private System.Windows.Forms.ToolStripMenuItem MenuExportOBcsv;
        private System.Windows.Forms.ToolStrip ToolStripMain;
        private System.Windows.Forms.ToolStripButton ToolOpen;
        private System.Windows.Forms.ToolStripButton ToolSave;
        private System.Windows.Forms.ToolStrip ToolStripViewport;
        private System.Windows.Forms.ToolStripButton ToolViewRotate;
        private System.Windows.Forms.ToolStripButton ToolViewPan;
        private System.Windows.Forms.ToolStripPanel toolStripPanelTop;
        private DockableUI.DockContainer dockContainer;
        private System.Windows.Forms.StatusStrip statusStrip1;
    }
}

